function Create(self)
	self.LTimer = Timer();
	self.firemode = 0; -- 0 is inactive, 1 is pull. This is NOT to be edited.
	self.gottarget = false;
	self.originalpositionX = self.Pos.X;
	self.originalpositionY = self.Pos.Y;

--------------------
----- The variables here can be changed to alter various properties of the phys cannon's tractor beam.

	self.beamlength = 200 -- changes the length of the tractor beam. 120 is default.
	self.cangrabMOSRandAE = true; -- allows the tractor beam to pull MOSRotatings and Emitters. true for yes, false for no.
	self.canparalize = false; -- allows the tractor beam to paralize actors that it's holding. true for yes, false for no.
	self.pickuppower = 40; -- strength of the pull. 20 is default.
	self.pickuprange = 20; -- size of the area to check for objects to pull. 10 is default.

--------------------

   local curdist = 100;
      for actor in MovableMan.Actors do
         local avgx = actor.Pos.X - self.Pos.X;
         local avgy = actor.Pos.Y - self.Pos.Y;
         local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
         if dist < curdist and actor:HasObject("Mech Gravi Gun") then
	self.parent = actor;
	end
    end
end

function Update(self)
   if self.firemode == 0 and self.LTimer:IsPastSimMS(5) then
	self.firemode = 1;
	end

   if self.firemode == 1 and MovableMan:IsActor(self.parent) then
	local avgx = self.originalpositionX-self.Pos.X;
	local avgy = self.originalpositionY-self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist > self.beamlength then
	self.gottarget = true;
	self.ToDelete = true;
	self.LifeTime = 0;
	end
end

   if MovableMan:IsActor(self.parent) then
     if not (self.parent:GetController():IsState(Controller.WEAPON_FIRE)) then
	self.gottarget = true;
	self.ToDelete = true;
	self.LifeTime = 0;
	end
end

   if self.firemode == 1 and MovableMan:IsActor(self.parent) and self.gottarget == false then
      for actor in MovableMan.Actors do
         local avgx = actor.Pos.X - self.Pos.X;
         local avgy = actor.Pos.Y - self.Pos.Y;
         local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
         if dist < self.pickuprange and actor.ID ~= self.parent.ID then
	actor.Vel = Vector(self.originalpositionX-actor.Pos.X,self.originalpositionY-actor.Pos.Y) / (1 + (actor.Mass / self.pickuppower));
	self.gottarget = true;
	self.ToDelete = true;
	self.LifeTime = 0;
    if self.canparalize == true then
	actor:SetControllerMode(Controller.CIM_DISABLED, -1);
	end
     end
   end
end

   if self.firemode == 1 and MovableMan:IsActor(self.parent) and self.gottarget == false then
      for item in MovableMan.Items do
         local itemavgx = item.Pos.X - self.Pos.X;
         local itemavgy = item.Pos.Y - self.Pos.Y;
         local itemdist = math.sqrt(itemavgx ^ 2 + itemavgy ^ 2);
         if itemdist < self.pickuprange then
	item.Vel = Vector(self.originalpositionX-item.Pos.X,self.originalpositionY-item.Pos.Y) / (1 + (item.Mass / self.pickuppower));
	self.gottarget = true;
	self.ToDelete = true;
	self.LifeTime = 0;
	end
    end
end

   if self.firemode == 1 and MovableMan:IsActor(self.parent) and self.cangrabMOSRandAE == true and self.gottarget == false then
      for particle in MovableMan.Particles do
	if particle.ClassName == "MOSRotating" or particle.ClassName == "AEmitter" then
         local paravgx = particle.Pos.X - self.Pos.X;
         local paravgy = particle.Pos.Y - self.Pos.Y;
         local dist = math.sqrt(paravgx ^ 2 + paravgy ^ 2);
         if dist < self.pickuprange then
	particle.Vel = Vector(self.originalpositionX-particle.Pos.X,self.originalpositionY-particle.Pos.Y) / (1 + (particle.Mass / self.pickuppower));
	self.gottractor = true;
	self.ToDelete = true;
	self.LifeTime = 0;
	end
     end
   end
end
end